Bug 200631 - firefox -d starts with a convicted monopolist's product page
firefox -d starts with a convicted monopolist's product page
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
massRequestForReproduction
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-29 07:52 EDT by Landon Curt Noll
Modified: 2008-06-02 08:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-02 08:50:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Landon Curt Noll 2006-07-29 07:52:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.0.5) Gecko/20060723 Firefox/1.5.0.5

Description of problem:
While debugging the problem for bug #200627, I typed by mistake:

firefox -d

without the usual argument that follows -d.  Instead of getting a command line syntax error, firefox launched starting with an update page belonging to a convicted monopolist's office product that has a long history of security flaws due to that monopolist's commitment to fundamental design flaws.

Version-Release number of selected component (if applicable):
firefox-1.5.0.5-0.el4.1

How reproducible:
Always


Steps to Reproduce:
1.install firefox-1.5.0.5-0.el4.1
2.firefox -d
3.

Actual Results:
Firefox started with the page:

http://office.microsoft.com/en-au/officeupdate/default.aspx

Expected Results:
Firefox should have complained about the missing option after -d.

Additional info:
The firefox -d command results in the browser starting with the following URL:

http://www.google.com/search?btnI=I%27m+Feeling+Lucky&ie=UTF-8&oe=UTF-8&q=en-us

Now at the time of this bug filing, when you search for "en-us" with the google search engine, the 1st URL returned is:

http://office.microsoft.com/en-au/officeupdate/default.aspx

Because, for some reason, firefox -d issues a Google search of "en-us" with the "I'm feeling lucky" mode, Google redirects the browser to the 1st URL returned, which happens to be a fundamentally flawed (security wise) closed source product.

I suggest that firefox 0d should do something else more appropriate.
Comment 1 Landon Curt Noll 2006-07-29 08:07:50 EDT
This bug is was not reproduced using the Mozilla Firefox 1.5.0.3 browser on a
i686 Linux system running SUSE LINUX 10.1.  It was also not reproduced using the
Mozilla Firefox 1.5.0.5 on a PPC running OS X 10.4.7.

=-=

p.s. In the above bug comment:

s/that firefox 0d should do/that firefox -d should do/
Comment 2 Landon Curt Noll 2006-08-02 14:23:00 EDT
Note that the fixing of bug #200627, as expected, did not fix this bug.
Comment 3 Rick Richardson 2006-08-03 19:45:19 EDT
Confirmed with firefox-1.5.0.4-1.2.fc5
Comment 4 Landon Curt Noll 2006-08-03 20:37:17 EDT
Confirmed firefox-1.0.8-1.4.1 under RHEL4.3.
Comment 5 Matthias Clasen 2006-10-27 00:09:32 EDT
Fun.

The problem is that one of the many layers of wrapper scripts forget to
correctly check the number of required arguments for -d.
Comment 6 Hans Ulrich Niedermann 2007-03-27 07:02:29 EDT
Running "firefox -d" on FC6 (package firefox-1.5.0.10-5.fc6) lands me in an
endless loop somewhere in the maze of wrapper scripts, without actually starting
firefox.
Comment 7 Hans Ulrich Niedermann 2007-10-17 08:19:53 EDT
#6 is still true with firefox-2.0.0.6-11.fc8 from rawhide.
Comment 8 Matěj Cepl 2008-02-08 15:43:23 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 9 Hans Ulrich Niedermann 2008-02-10 13:35:14 EST
Fedora 8, firefox-2.0.0.10-3.fc8:

 1. Run "firefox -d" from command line.
 2. Enjoy endless loop somewhere in the firefox shell scripts.

Conclusion: Bug still present.
Comment 10 Hans Ulrich Niedermann 2008-04-08 12:12:28 EDT
Yesterday's rawhide, with firefox-3.0-0.52.beta5.fc9.i386:

 1. Run "firefox -d" from command line.
 2. Enjoy endless loop somewhere in the firefox shell scripts.

Conclusion: Bug still present.
Comment 11 Landon Curt Noll 2008-04-08 16:10:29 EDT
It is still a bug.
Comment 12 Martin Stransky 2008-05-13 10:54:10 EDT
Okay, taking this one.
Comment 13 Martin Stransky 2008-06-02 08:50:11 EDT
commited to rawhide.

Note You need to log in before you can comment on or make changes to this bug.